<!DOCTYPE html >
<html>
        <head>
          <title>User - User</title>
          <meta name="description" content="User - User" />
          <meta name="keywords" content="User User" />
          <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
          
      <link href="lib/template.css" media="screen" type="text/css" rel="stylesheet" />
      <link href="lib/diagrams.css" media="screen" type="text/css" rel="stylesheet" id="diagrams-css" />
      <script type="text/javascript" src="lib/jquery.js" id="jquery-js"></script>
      <script type="text/javascript" src="lib/jquery-ui.js"></script>
      <script type="text/javascript" src="lib/template.js"></script>
      <script type="text/javascript" src="lib/tools.tooltip.js"></script>
      
      <script type="text/javascript">
         if(top === self) {
            var url = 'index.html';
            var hash = 'User';
            var anchor = window.location.hash;
            var anchor_opt = '';
            if (anchor.length >= 1)
              anchor_opt = '@' + anchor.substring(1);
            window.location.href = url + '#' + hash + anchor_opt;
         }
   	  </script>
    
        </head>
        <body class="type">
      <div id="definition">
        <img alt="Class" src="lib/class_big.png" />
        
        <h1>User</h1><h3><span class="morelinks"><div>Related Doc:
            <a href="package.html" class="extype" name="_root_">package root</a>
          </div></span></h3><span class="permalink">
      <a href="index.html#User" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      </div>

      <h4 id="signature" class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">class</span>
      </span>
      <span class="symbol">
        <span class="name">User</span><span class="result"> extends <span class="extype" name="java.io.Serializable">Serializable</span></span>
      </span>
      </h4>
      
          <div id="comment" class="fullcommenttop"><div class="comment cmt"><p>Usuário e seus processos.
</p></div><dl class="attributes block"> <dt>Annotations</dt><dd>
                <span class="name">@SerialVersionUID</span><span class="args">()</span>
              
        </dd></dl><div class="toggleContainer block">
          <span class="toggle">Linear Supertypes</span>
          <div class="superTypes hiddenContent"><span class="extype" name="java.io.Serializable">Serializable</span>, <span class="extype" name="scala.AnyRef">AnyRef</span>, <span class="extype" name="scala.Any">Any</span></div>
        </div></div>
        

      <div id="mbrsel">
        <div id="textfilter"><span class="pre"></span><span class="input"><input id="mbrsel-input" type="text" accesskey="/" /></span><span class="post"></span></div>
        <div id="order">
              <span class="filtertype">Ordering</span>
              <ol>
                
                <li class="alpha in"><span>Alphabetic</span></li>
                <li class="inherit out"><span>By Inheritance</span></li>
              </ol>
            </div>
        <div id="ancestors">
                <span class="filtertype">Inherited<br />
                </span>
                <ol id="linearization">
                  <li class="in" name="User"><span>User</span></li><li class="in" name="java.io.Serializable"><span>Serializable</span></li><li class="in" name="scala.AnyRef"><span>AnyRef</span></li><li class="in" name="scala.Any"><span>Any</span></li>
                </ol>
              </div><div id="ancestors">
            <span class="filtertype"></span>
            <ol>
              <li class="hideall out"><span>Hide All</span></li>
              <li class="showall in"><span>Show All</span></li>
            </ol>
          </div>
        <div id="visbl">
            <span class="filtertype">Visibility</span>
            <ol><li class="public in"><span>Public</span></li><li class="all out"><span>All</span></li></ol>
          </div>
      </div>

      <div id="template">
        <div id="allMembers">
        <div id="constructors" class="members">
              <h3>Instance Constructors</h3>
              <ol><li name="User#&lt;init&gt;" visbl="pub" data-isabs="false" fullComment="no" group="Ungrouped">
      <a id="&lt;init&gt;(_username:String):User"></a>
      <a id="&lt;init&gt;:User"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">new</span>
      </span>
      <span class="symbol">
        <span class="name">User</span><span class="params">(<span name="_username">_username: <span class="extype" name="scala.Predef.String">String</span></span>)</span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@&lt;init&gt;(_username:String):User" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <p class="shortcomment cmt">Usuário inicialmente sem processos.</p>
    </li><li name="User#&lt;init&gt;" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="&lt;init&gt;(_username:String,_processos:Array[Processo]):User"></a>
      <a id="&lt;init&gt;:User"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">new</span>
      </span>
      <span class="symbol">
        <span class="name">User</span><span class="params">(<span name="_username">_username: <span class="extype" name="scala.Predef.String">String</span></span>, <span name="_processos">_processos: <span class="extype" name="scala.Array">Array</span>[<a href="Processo.html" class="extype" name="Processo">Processo</a>]</span>)</span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@&lt;init&gt;(_username:String,_processos:Array[Processo]):User" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <p class="shortcomment cmt">cria um novo usuario.</p><div class="fullcomment"><div class="comment cmt"><p>cria um novo usuario.</p></div><dl class="paramcmts block"><dt class="param">_processos</dt><dd class="cmt"><p>Lista de processos do usuário</p></dd></dl></div>
    </li></ol>
            </div>

        

        

        <div id="values" class="values members">
              <h3>Value Members</h3>
              <ol><li name="scala.AnyRef#!=" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="!=(x$1:Any):Boolean"></a>
      <a id="!=(Any):Boolean"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span title="gt4s: $bang$eq" class="name">!=</span><span class="params">(<span name="arg0">arg0: <span class="extype" name="scala.Any">Any</span></span>)</span><span class="result">: <span class="extype" name="scala.Boolean">Boolean</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@!=(x$1:Any):Boolean" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef → Any</dd></dl></div>
    </li><li name="scala.AnyRef###" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="##():Int"></a>
      <a id="##():Int"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span title="gt4s: $hash$hash" class="name">##</span><span class="params">()</span><span class="result">: <span class="extype" name="scala.Int">Int</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@##():Int" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef → Any</dd></dl></div>
    </li><li name="scala.AnyRef#==" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="==(x$1:Any):Boolean"></a>
      <a id="==(Any):Boolean"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span title="gt4s: $eq$eq" class="name">==</span><span class="params">(<span name="arg0">arg0: <span class="extype" name="scala.Any">Any</span></span>)</span><span class="result">: <span class="extype" name="scala.Boolean">Boolean</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@==(x$1:Any):Boolean" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef → Any</dd></dl></div>
    </li><li name="User#add" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="add(user:User):Unit"></a>
      <a id="add(User):Unit"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">add</span><span class="params">(<span name="user">user: <a href="" class="extype" name="User">User</a></span>)</span><span class="result">: <span class="extype" name="scala.Unit">Unit</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@add(user:User):Unit" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <p class="shortcomment cmt">Acrescenta ao user atual os dados de outro user</p><div class="fullcomment"><div class="comment cmt"><p>Acrescenta ao user atual os dados de outro user</p></div><dl class="paramcmts block"><dt class="param">user</dt><dd class="cmt"><p>O usuario a ser juntado</p></dd></dl></div>
    </li><li name="User#addGastos" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="addGastos(cpu:Double,mem:Double,tempo:Int):Unit"></a>
      <a id="addGastos(Double,Double,Int):Unit"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">addGastos</span><span class="params">(<span name="cpu">cpu: <span class="extype" name="scala.Double">Double</span></span>, <span name="mem">mem: <span class="extype" name="scala.Double">Double</span></span>, <span name="tempo">tempo: <span class="extype" name="scala.Int">Int</span></span>)</span><span class="result">: <span class="extype" name="scala.Unit">Unit</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@addGastos(cpu:Double,mem:Double,tempo:Int):Unit" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <p class="shortcomment cmt">Adiciona quantidades gastas pelo processo</p><div class="fullcomment"><div class="comment cmt"><p>Adiciona quantidades gastas pelo processo</p></div><dl class="paramcmts block"><dt class="param">cpu</dt><dd class="cmt"><p>Quantidade de CPU gasta</p></dd><dt class="param">mem</dt><dd class="cmt"><p>Porcentagem de memória gasta</p></dd><dt class="param">tempo</dt><dd class="cmt"><p>Tempo gasto</p></dd></dl></div>
    </li><li name="User#addProcesso" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="addProcesso(pid:String,cpu:String,mem:String,tempo:String):Unit"></a>
      <a id="addProcesso(String,String,String,String):Unit"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">addProcesso</span><span class="params">(<span name="pid">pid: <span class="extype" name="scala.Predef.String">String</span></span>, <span name="cpu">cpu: <span class="extype" name="scala.Predef.String">String</span></span>, <span name="mem">mem: <span class="extype" name="scala.Predef.String">String</span></span>, <span name="tempo">tempo: <span class="extype" name="scala.Predef.String">String</span></span>)</span><span class="result">: <span class="extype" name="scala.Unit">Unit</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@addProcesso(pid:String,cpu:String,mem:String,tempo:String):Unit" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <p class="shortcomment cmt">Adiciona um novo processo a lista de processos</p><div class="fullcomment"><div class="comment cmt"><p>Adiciona um novo processo a lista de processos</p></div><dl class="paramcmts block"><dt class="param">pid</dt><dd class="cmt"><p>Identificação do processo</p></dd><dt class="param">cpu</dt><dd class="cmt"><p>Quantidade de CPU gasta</p></dd><dt class="param">mem</dt><dd class="cmt"><p>Porcentagem de memória gasta</p></dd><dt class="param">tempo</dt><dd class="cmt"><p>Tempo gasto</p></dd></dl></div>
    </li><li name="User#addProcesso" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="addProcesso(proc:Processo):Unit"></a>
      <a id="addProcesso(Processo):Unit"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">addProcesso</span><span class="params">(<span name="proc">proc: <a href="Processo.html" class="extype" name="Processo">Processo</a></span>)</span><span class="result">: <span class="extype" name="scala.Unit">Unit</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@addProcesso(proc:Processo):Unit" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <p class="shortcomment cmt">Adiciona um processo a lista de processos</p><div class="fullcomment"><div class="comment cmt"><p>Adiciona um processo a lista de processos</p></div><dl class="paramcmts block"><dt class="param">proc</dt><dd class="cmt"><p>O processo a ser adicionado</p></dd></dl></div>
    </li><li name="scala.Any#asInstanceOf" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="asInstanceOf[T0]:T0"></a>
      <a id="asInstanceOf[T0]:T0"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">asInstanceOf</span><span class="tparams">[<span name="T0">T0</span>]</span><span class="result">: <span class="extype" name="scala.Any.asInstanceOf.T0">T0</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@asInstanceOf[T0]:T0" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>Any</dd></dl></div>
    </li><li name="User#calcularMedias" visbl="pub" data-isabs="false" fullComment="no" group="Ungrouped">
      <a id="calcularMedias():(Double,Double,Int)"></a>
      <a id="calcularMedias():(Double,Double,Int)"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">calcularMedias</span><span class="params">()</span><span class="result">: (<span class="extype" name="scala.Double">Double</span>, <span class="extype" name="scala.Double">Double</span>, <span class="extype" name="scala.Int">Int</span>)</span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@calcularMedias():(Double,Double,Int)" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <p class="shortcomment cmt">Calcula as médias do que foi gasto pelos processos
</p>
    </li><li name="scala.AnyRef#clone" visbl="prt" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="clone():Object"></a>
      <a id="clone():AnyRef"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">clone</span><span class="params">()</span><span class="result">: <span class="extype" name="scala.AnyRef">AnyRef</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@clone():Object" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Attributes</dt><dd>protected[<a href="java$lang.html" class="extype" name="java.lang">java.lang</a>] </dd><dt>Definition Classes</dt><dd>AnyRef</dd><dt>Annotations</dt><dd>
                <span class="name">@HotSpotIntrinsicCandidate</span><span class="args">()</span>
              
                <span class="name">@throws</span><span class="args">(<span>
      
      <span class="defval" name="classOf[java.lang.CloneNotSupportedException]">...</span>
    </span>)</span>
              
        </dd></dl></div>
    </li><li name="scala.AnyRef#eq" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="eq(x$1:AnyRef):Boolean"></a>
      <a id="eq(AnyRef):Boolean"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">eq</span><span class="params">(<span name="arg0">arg0: <span class="extype" name="scala.AnyRef">AnyRef</span></span>)</span><span class="result">: <span class="extype" name="scala.Boolean">Boolean</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@eq(x$1:AnyRef):Boolean" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef</dd></dl></div>
    </li><li name="scala.AnyRef#equals" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="equals(x$1:Any):Boolean"></a>
      <a id="equals(Any):Boolean"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">equals</span><span class="params">(<span name="arg0">arg0: <span class="extype" name="scala.Any">Any</span></span>)</span><span class="result">: <span class="extype" name="scala.Boolean">Boolean</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@equals(x$1:Any):Boolean" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef → Any</dd></dl></div>
    </li><li name="User#gastoCPU" visbl="pub" data-isabs="false" fullComment="no" group="Ungrouped">
      <a id="gastoCPU:Double"></a>
      <a id="gastoCPU:Double"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">gastoCPU</span><span class="result">: <span class="extype" name="scala.Double">Double</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@gastoCPU:Double" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      
    </li><li name="User#gastoMEMORIA" visbl="pub" data-isabs="false" fullComment="no" group="Ungrouped">
      <a id="gastoMEMORIA:Double"></a>
      <a id="gastoMEMORIA:Double"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">gastoMEMORIA</span><span class="result">: <span class="extype" name="scala.Double">Double</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@gastoMEMORIA:Double" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      
    </li><li name="User#gastoTEMPO" visbl="pub" data-isabs="false" fullComment="no" group="Ungrouped">
      <a id="gastoTEMPO:Int"></a>
      <a id="gastoTEMPO:Int"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">gastoTEMPO</span><span class="result">: <span class="extype" name="scala.Int">Int</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@gastoTEMPO:Int" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      
    </li><li name="scala.AnyRef#getClass" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="getClass():Class[_]"></a>
      <a id="getClass():Class[_]"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">getClass</span><span class="params">()</span><span class="result">: <span class="extype" name="java.lang.Class">Class</span>[_]</span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@getClass():Class[_]" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef → Any</dd><dt>Annotations</dt><dd>
                <span class="name">@HotSpotIntrinsicCandidate</span><span class="args">()</span>
              
        </dd></dl></div>
    </li><li name="scala.AnyRef#hashCode" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="hashCode():Int"></a>
      <a id="hashCode():Int"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">hashCode</span><span class="params">()</span><span class="result">: <span class="extype" name="scala.Int">Int</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@hashCode():Int" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef → Any</dd><dt>Annotations</dt><dd>
                <span class="name">@HotSpotIntrinsicCandidate</span><span class="args">()</span>
              
        </dd></dl></div>
    </li><li name="scala.Any#isInstanceOf" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="isInstanceOf[T0]:Boolean"></a>
      <a id="isInstanceOf[T0]:Boolean"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">isInstanceOf</span><span class="tparams">[<span name="T0">T0</span>]</span><span class="result">: <span class="extype" name="scala.Boolean">Boolean</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@isInstanceOf[T0]:Boolean" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>Any</dd></dl></div>
    </li><li name="scala.AnyRef#ne" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="ne(x$1:AnyRef):Boolean"></a>
      <a id="ne(AnyRef):Boolean"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">ne</span><span class="params">(<span name="arg0">arg0: <span class="extype" name="scala.AnyRef">AnyRef</span></span>)</span><span class="result">: <span class="extype" name="scala.Boolean">Boolean</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@ne(x$1:AnyRef):Boolean" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef</dd></dl></div>
    </li><li name="scala.AnyRef#notify" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="notify():Unit"></a>
      <a id="notify():Unit"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">notify</span><span class="params">()</span><span class="result">: <span class="extype" name="scala.Unit">Unit</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@notify():Unit" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef</dd><dt>Annotations</dt><dd>
                <span class="name">@HotSpotIntrinsicCandidate</span><span class="args">()</span>
              
        </dd></dl></div>
    </li><li name="scala.AnyRef#notifyAll" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="notifyAll():Unit"></a>
      <a id="notifyAll():Unit"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">notifyAll</span><span class="params">()</span><span class="result">: <span class="extype" name="scala.Unit">Unit</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@notifyAll():Unit" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef</dd><dt>Annotations</dt><dd>
                <span class="name">@HotSpotIntrinsicCandidate</span><span class="args">()</span>
              
        </dd></dl></div>
    </li><li name="User#processos" visbl="pub" data-isabs="false" fullComment="no" group="Ungrouped">
      <a id="processos:Array[Processo]"></a>
      <a id="processos:Array[Processo]"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">processos</span><span class="result">: <span class="extype" name="scala.Array">Array</span>[<a href="Processo.html" class="extype" name="Processo">Processo</a>]</span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@processos:Array[Processo]" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      
    </li><li name="scala.AnyRef#synchronized" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="synchronized[T0](x$1:=&gt;T0):T0"></a>
      <a id="synchronized[T0](⇒T0):T0"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">synchronized</span><span class="tparams">[<span name="T0">T0</span>]</span><span class="params">(<span name="arg0">arg0: ⇒ <span class="extype" name="java.lang.AnyRef.synchronized.T0">T0</span></span>)</span><span class="result">: <span class="extype" name="java.lang.AnyRef.synchronized.T0">T0</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@synchronized[T0](x$1:=&gt;T0):T0" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef</dd></dl></div>
    </li><li name="scala.AnyRef#toString" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="toString():String"></a>
      <a id="toString():String"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">toString</span><span class="params">()</span><span class="result">: <span class="extype" name="java.lang.String">String</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@toString():String" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef → Any</dd></dl></div>
    </li><li name="User#username" visbl="pub" data-isabs="false" fullComment="no" group="Ungrouped">
      <a id="username:String"></a>
      <a id="username:String"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">username</span><span class="result">: <span class="extype" name="scala.Predef.String">String</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@username:String" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      
    </li><li name="User#username_=" visbl="pub" data-isabs="false" fullComment="no" group="Ungrouped">
      <a id="username_=(value:String):Unit"></a>
      <a id="username_=(String):Unit"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span title="gt4s: username_$eq" class="name">username_=</span><span class="params">(<span name="value">value: <span class="extype" name="scala.Predef.String">String</span></span>)</span><span class="result">: <span class="extype" name="scala.Unit">Unit</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@username_=(value:String):Unit" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      
    </li><li name="scala.AnyRef#wait" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="wait(x$1:Long,x$2:Int):Unit"></a>
      <a id="wait(Long,Int):Unit"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">wait</span><span class="params">(<span name="arg0">arg0: <span class="extype" name="scala.Long">Long</span></span>, <span name="arg1">arg1: <span class="extype" name="scala.Int">Int</span></span>)</span><span class="result">: <span class="extype" name="scala.Unit">Unit</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@wait(x$1:Long,x$2:Int):Unit" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef</dd><dt>Annotations</dt><dd>
                <span class="name">@throws</span><span class="args">(<span>
      
      <span class="defval" name="classOf[java.lang.InterruptedException]">...</span>
    </span>)</span>
              
        </dd></dl></div>
    </li><li name="scala.AnyRef#wait" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="wait(x$1:Long):Unit"></a>
      <a id="wait(Long):Unit"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">wait</span><span class="params">(<span name="arg0">arg0: <span class="extype" name="scala.Long">Long</span></span>)</span><span class="result">: <span class="extype" name="scala.Unit">Unit</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@wait(x$1:Long):Unit" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef</dd><dt>Annotations</dt><dd>
                <span class="name">@throws</span><span class="args">(<span>
      
      <span class="defval" name="classOf[java.lang.InterruptedException]">...</span>
    </span>)</span>
              
        </dd></dl></div>
    </li><li name="scala.AnyRef#wait" visbl="pub" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="wait():Unit"></a>
      <a id="wait():Unit"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier">final </span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name">wait</span><span class="params">()</span><span class="result">: <span class="extype" name="scala.Unit">Unit</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@wait():Unit" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Definition Classes</dt><dd>AnyRef</dd><dt>Annotations</dt><dd>
                <span class="name">@throws</span><span class="args">(<span>
      
      <span class="defval" name="classOf[java.lang.InterruptedException]">...</span>
    </span>)</span>
              
        </dd></dl></div>
    </li></ol>
            </div>

        

        <div id="values" class="values members">
              <h3>Deprecated Value Members</h3>
              <ol><li name="scala.AnyRef#finalize" visbl="prt" data-isabs="false" fullComment="yes" group="Ungrouped">
      <a id="finalize():Unit"></a>
      <a id="finalize():Unit"></a>
      <h4 class="signature">
      <span class="modifier_kind">
        <span class="modifier"></span>
        <span class="kind">def</span>
      </span>
      <span class="symbol">
        <span class="name deprecated" title="Deprecated: (Since version ) see corresponding Javadoc for more information.">finalize</span><span class="params">()</span><span class="result">: <span class="extype" name="scala.Unit">Unit</span></span>
      </span>
      </h4><span class="permalink">
      <a href="index.html#User@finalize():Unit" title="Permalink" target="_top">
        <img src="lib/permalink.png" alt="Permalink" />
      </a>
    </span>
      <div class="fullcomment"><dl class="attributes block"> <dt>Attributes</dt><dd>protected[<a href="java$lang.html" class="extype" name="java.lang">java.lang</a>] </dd><dt>Definition Classes</dt><dd>AnyRef</dd><dt>Annotations</dt><dd>
                <span class="name">@Deprecated</span>
              
                <span class="name">@deprecated</span>
              
                <span class="name">@throws</span><span class="args">(<span>
      
      <span class="symbol">classOf[java.lang.Throwable]</span>
    </span>)</span>
              
        </dd><dt>Deprecated</dt><dd class="cmt"><p><i>(Since version )</i> see corresponding Javadoc for more information.</p></dd></dl></div>
    </li></ol>
            </div>
        </div>

        <div id="inheritedMembers">
        <div class="parent" name="java.io.Serializable">
              <h3>Inherited from <span class="extype" name="java.io.Serializable">Serializable</span></h3>
            </div><div class="parent" name="scala.AnyRef">
              <h3>Inherited from <span class="extype" name="scala.AnyRef">AnyRef</span></h3>
            </div><div class="parent" name="scala.Any">
              <h3>Inherited from <span class="extype" name="scala.Any">Any</span></h3>
            </div>
        
        </div>

        <div id="groupedMembers">
        <div class="group" name="Ungrouped">
              <h3>Ungrouped</h3>
              
            </div>
        </div>

      </div>

      <div id="tooltip"></div>

      <div id="footer">  </div>


    </body>
      </html>
